## ChamplainVersion ChamplainVersion — Versioning utility macros |

## Functions

#define | CHAMPLAIN_MAJOR_VERSION
#define | CHAMPLAIN_MINOR_VERSION
#define | CHAMPLAIN_MICRO_VERSION
#define | CHAMPLAIN_VERSION_HEX
#define | CHAMPLAIN_CHECK_VERSION()

## Types and Values

#define | CHAMPLAIN_VERSION
#define | CHAMPLAIN_VERSION_S

## Object Hierarchy

## Description

Champlain offers a set of macros for checking the version of the library an application was linked to.

## Functions

### CHAMPLAIN_MAJOR_VERSION

    #define CHAMPLAIN_MAJOR_VERSION   (0)

The major version of libchamplain (1, if `CHAMPLAIN_VERSION` is 1.2.3)

### CHAMPLAIN_MINOR_VERSION

    #define CHAMPLAIN_MINOR_VERSION   (12)

The minor version of libchamplain (2, if `CHAMPLAIN_VERSION` is 1.2.3)

### CHAMPLAIN_MICRO_VERSION

    #define CHAMPLAIN_MICRO_VERSION   (12)

The micro version of libchamplain (3, if `CHAMPLAIN_VERSION` is 1.2.3)

### CHAMPLAIN_VERSION_HEX

    #define             CHAMPLAIN_VERSION_HEX

Numerically encoded version of libchamplain, like 0x010203

### CHAMPLAIN_CHECK_VERSION()

    #define             CHAMPLAIN_CHECK_VERSION(major,minor,micro)

Evaluates to `TRUE` if the version of libchamplain is greater or equal than `major` , `minor` and `micro`

#### Parameters

major | major version, like 1 in 1.2.3 |
minor | minor version, like 2 in 1.2.3 |
micro | micro version, like 3 in 1.2.3 |

## Types and Values

### CHAMPLAIN_VERSION

    #define CHAMPLAIN_VERSION         0.12.12

The full version of libchamplain, like 1.2.3

### CHAMPLAIN_VERSION_S

    #define CHAMPLAIN_VERSION_S       "0.12.12"

The full version of libchamplain, in string form (suited for string concatenation)